# $Revision: 1.42 $, $Date: 2009/06/17 06:48:30 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	ASN1
Summary:	Convert::ASN1 - ASN.1 encode/decode library
Summary(pl.UTF-8):	Convert::ASN1 - biblioteka kodująca/rozkodowująca ASN.1
Name:		perl-Convert-ASN1
Version:	0.22
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	64a555e44adc79d92072b9fc7a6779c4
URL:		http://search.cpan.org/dist/Convert-ASN1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'perl(Convert::ASN1::Debug)' 'perl(Convert::ASN1::IO)' 'perl(Convert::ASN1::_decode)' 'perl(Convert::ASN1::_encode)'

%description
I consider Convert::ASN1 a replacement for my earlier Convert::BER
module. While ASN1.pm is not as flexable as BER.pm, because PDUs must
be described up front, it is also more powerful. For example an LDAP
filter is a recursive structure, BER.pm cannot encode or decode this
in a single pass, ASN1.pm can.

Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.

%description -l pl.UTF-8
Convert::ASN1 ma być zamiennikiem wcześniejszego Convert::BER tego
samego autora. ASN1.pm nie jest tak elastyczny jak BER.pm, ponieważ
PDU muszą być opisane, jest bardziej użyteczny. Na przykład filtr LDAP
jest strukturą rekurencyjną, BER.pm nie może kodować ani dekodować
takiej w jednym przebiegu, ASN1.pm może.

Convert::ASN1 parsuje opisy ASN.1 i koduje/dekoduje do perlowych
struktur danych używając hierarchii referencji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Convert/ASN1/.packlist
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Convert/ASN1.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%dir %{perl_vendorlib}/Convert/ASN1
%{perl_vendorlib}/Convert/ASN1/*.pm
%{perl_vendorlib}/Convert/ASN1.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Convert-ASN1.spec,v $
Revision 1.42  2009/06/17 06:48:30  amateja
- updated to 0.22

Revision 1.41  2008/03/04 23:06:47  wolvverine
- rel.2

Revision 1.40  2007-05-27 21:18:00  agaran
- up to 0.21, rel 1, builds here

Revision 1.39  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.37  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.36  2006/04/07 20:19:36  agaran
- up to 0.20 rel1, builds here

Revision 1.35  2006/01/02 18:31:07  glen
- 0.19
- cleaned check-files

Revision 1.34  2004/11/03 22:30:11  paladine
- formatting

Revision 1.33  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.32  2004/05/06 18:01:27  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/18 21:42:27  ankry
- summary and license fixes

Revision 1.30  2003/10/11 20:14:36  grzegol
- updated to 0.18

Revision 1.29  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.28  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.27  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/06/11 22:26:52  misi3k
- updated to 0.17

Revision 1.25  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.22  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.21  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.20  2003/02/18 15:28:23  ankry
- massive attack: change CPAN URLs

Revision 1.19  2002/08/24 17:05:56  radek
- version 0.16

Revision 1.18  2002/07/20 00:35:36  qboosh
- removed ASN1.pod; release 2

Revision 1.17  2002/07/11 10:51:19  qboosh
- new %doc and cosmetics

Revision 1.16  2002/07/11 07:57:48  depesz
- new version; should work; STBR

Revision 1.15  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.14  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/02/25 10:30:12  depesz
- cleanup; revision++

Revision 1.12  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 14:10:18  depesz
- automatic: Source location unfied, Relase Up

Revision 1.10  2002/02/10 15:39:12  depesz
- adapterized

Revision 1.9  2002/01/18 02:14:12  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/12 09:36:15  qboosh
- pl description, release 4

Revision 1.7  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.6  2001/11/27 23:30:39  filon
- fixed docs
- release 2

Revision 1.5  2001/09/20 11:33:25  mis
- autoupdated to 0.14

Revision 1.4  2001/09/08 07:41:57  kloczek
- updated to 0.13.

Revision 1.3  2001/08/02 08:23:33  mis
- autoupdated to 0.12

Revision 1.2  2001/06/12 18:26:07  mis
- autoupdated to 0.11

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
